/*
 *  Copyright 2008 CNRS
 *  Author: Florent Lamiraux
 */

#if DEBUG>=2
#include "hppWalkFootPlanner/hppWalkStepSequence.h"

std::ostream& operator<<(std::ostream& os, const ChppWalkStepSequence& inStepSequence)
{
  //
  // Start by which foot
  //
  if (inStepSequence.leftFootFirst()) {
    os << "starting by moving left foot" << std::endl;
  }
  else {
    os << "starting by moving right foot" << std::endl;
  }

  // 
  // Initial position of the robot
  //
  double x,y,z,theta;
  inStepSequence.getInitialPosition(x,y,z,theta);
  os << "Initial position of robot: (x, y, z, theta) = (" << x << ", "<< y << ", "<< z << ", "<< theta << ")" << std::endl;

  //
  // Step sequence
  //
  for(unsigned int iStep=0; iStep<inStepSequence.size(); iStep++) {
    os << "step #" << iStep << ": (sx, sy, theta) = (" 
       << inStepSequence[iStep].sx << ", "
       << inStepSequence[iStep].sy << ", "
       << inStepSequence[iStep].theta << ")" << std::endl;
  }
  return os;
}
#endif
